Index: /TOOLS/SYNCHRO_SCRIPTS/synchro_RESTART_igcmg_to_ada_AFAIRE
===================================================================
--- /TOOLS/SYNCHRO_SCRIPTS/synchro_RESTART_igcmg_to_ada_AFAIRE	(revision 4093)
+++ /TOOLS/SYNCHRO_SCRIPTS/synchro_RESTART_igcmg_to_ada_AFAIRE	(revision 4093)
@@ -0,0 +1,7 @@
+A faire pour juste synchroniser le repertoire RESTART :
+
+
+pour juste les RESTART
+
+ rsync -n --omit-dir-times -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c aes128-ctr" RESTART rpsl003@ada.idris.fr:/workgpfs/rech/psl/rpsl035/IGCM/
+
Index: /TOOLS/SYNCHRO_SCRIPTS/synchro_Training_to_ada
===================================================================
--- /TOOLS/SYNCHRO_SCRIPTS/synchro_Training_to_ada	(revision 4093)
+++ /TOOLS/SYNCHRO_SCRIPTS/synchro_Training_to_ada	(revision 4093)
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+echo "Quel est votre login sur ada "
+echo -n "Votre reponse : "
+read loginIDRIS
+
+cd /ccc/work/cont003/igcmg/igcmg
+
+
+echo "Verification des droits sur les fichiers cote TGCC"
+ccc_shspace_chmod userread /ccc/work/cont003/igcmg/igcmg/TRAINING
+is_problem=` ccc_shspace_modck TRAINING |grep ccc_shspace_chmod |wc -l`
+if [ "x${is_problem}" != "x0" ]
+then
+  echo "Il y a un probleme de droit sur un repertoire qui ne vous appartient pas"
+  echo "vous pouvez utiliser la commande ccc_shspace_modck TRAINING pour savoir qui doit mettre a jour les droits"
+  echo -n "voulez-vous tout de meme continuer la synchronisation [oui/non]"
+  read reponse
+  case ${reponse} in
+  non|NON|N|n)
+  exit
+  ;;
+esac
+fi
+
+
+
+echo " Resultat du rsync en dry-run : "
+echo ""
+rsync -n --omit-dir-times -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c aes128-ctr" TRAINING ${loginIDRIS}@ada.idris.fr:/linkhome/rech/psl/rpsl035/
+
+echo "Voulez vous effectuer les actions listees ci dessus oui/non ?"
+echo -n " Votre reponse : "
+read reponse
+
+case ${reponse} in
+
+oui|OUI|o)
+rsync --omit-dir-times -vrltgoD --progress  --delete -e "ssh -ax -o ClearAllForwardings=yes -c aes128-ctr" TRAINING ${loginIDRIS}@ada.idris.fr:/linkhome/rech/psl/rpsl035/
+;;
+non|NON|n)
+echo "RIEN A FAIRE !"
+;;
+*)
+echo "Reponse non reconnue"
+;;
+esac
+
+echo "Mise a jour des droits sur les repertoires de donnees (IDRIS) "
+ssh ${loginIDRIS}@ada.idris.fr "setfacl -R -m u::rwx,u:rpsl592:rwx,u:rpsl500:rwx,u:rces061:rwx,u:rlmd979:rwx,g::r-x,o::r-x,m::rwx /linkhome/rech/psl/rpsl035/TRAINING"
Index: /TOOLS/SYNCHRO_SCRIPTS/synchro_Training_to_ergon
===================================================================
--- /TOOLS/SYNCHRO_SCRIPTS/synchro_Training_to_ergon	(revision 4093)
+++ /TOOLS/SYNCHRO_SCRIPTS/synchro_Training_to_ergon	(revision 4093)
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+echo "Quel est votre login sur ada "
+echo -n "Votre reponse : "
+read loginIDRIS
+
+cd /ccc/work/cont003/igcmg/igcmg
+
+
+echo "Verification des droits sur les fichiers cote TGCC"
+ccc_shspace_chmod userread /ccc/work/cont003/igcmg/igcmg/TRAINING
+is_problem=` ccc_shspace_modck TRAINING |grep ccc_shspace_chmod |wc -l`
+if [ "x${is_problem}" != "x0" ]
+then
+  echo "Il y a un probleme de droit sur un repertoire qui ne vous appartient pas"
+  echo "vous pouvez utiliser la commande ccc_shspace_modck TRAINING pour savoir qui doit mettre a jour les droits"
+  echo -n "voulez-vous tout de meme continuer la synchronisation [oui/non]"
+  read reponse
+  case ${reponse} in
+  non|NON|N|n)
+  exit
+  ;;
+esac
+fi
+
+
+
+echo " Resultat du rsync en dry-run : "
+echo ""
+rsync -n --omit-dir-times -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c aes128-ctr" TRAINING ${loginIDRIS}@ergon.idris.fr:/linkhome/rech/psl/rpsl035/
+
+echo "Voulez vous effectuer les actions listees ci dessus oui/non ?"
+echo -n " Votre reponse : "
+read reponse
+
+case ${reponse} in
+
+oui|OUI|o)
+rsync --omit-dir-times -vrltgoD --progress  --delete -e "ssh -ax -o ClearAllForwardings=yes -c aes128-ctr" TRAINING ${loginIDRIS}@ergon.idris.fr:/linkhome/rech/psl/rpsl035/
+;;
+non|NON|n)
+echo "RIEN A FAIRE !"
+;;
+*)
+echo "Reponse non reconnue"
+;;
+esac
+
+echo "Mise a jour des droits sur les repertoires de donnees (IDRIS) "
+ssh ${loginIDRIS}@ergon.idris.fr "setfacl -R -m u::rwx,u:rpsl592:rwx,u:rpsl500:rwx,u:rces061:rwx,u:rlmd979:rwx,g::r-x,o::r-x,m::rwx /linkhome/rech/psl/rpsl035/TRAINING"
Index: /TOOLS/SYNCHRO_SCRIPTS/synchro_acl
===================================================================
--- /TOOLS/SYNCHRO_SCRIPTS/synchro_acl	(revision 4093)
+++ /TOOLS/SYNCHRO_SCRIPTS/synchro_acl	(revision 4093)
@@ -0,0 +1,37 @@
+#!/bin/bash
+# Lance ce script pour mettre a jour les droits sur le depot IGCM sur TGCC, ADA et ERGON.
+# Les commands ici ont ete copie des scripts synchro_igcmg_to_ada et synchro_igcmg_to_ergon
+#
+# Ce script n'a pas besoin d'etre lance dans un utilisation classique des scripts de synchros,
+# c.a.d. quand on ajoute des fichiers sur TGCC, puis on fait tout les synchros. 
+# Mais ce script peut etre lance si on a ajoute des fichiers sur un des depots mais que quelqu'un 
+# d'autre a fait les synchros. Ou quand on a demarre un synchro et ensuite qq'un d'autre l'a 
+# termine.
+
+cd /ccc/work/cont003/igcmg/igcmg
+echo
+echo "Verification des droits sur les fichiers cote TGCC"
+ccc_shspace_chmod userread /ccc/work/cont003/igcmg/igcmg/IGCM
+is_problem=` ccc_shspace_modck IGCM |grep ccc_shspace_chmod |wc -l`
+if [ "x${is_problem}" != "x0" ]
+then
+  ccc_shspace_modck IGCM
+  echo
+fi
+
+
+echo
+echo "Mise a jour des droits sur les repertoires de donnees sur ada (IDRIS), presse entree"
+read pause
+echo "Quel est votre login a l'IDRIS ?"
+echo -n "Votre reponse : "
+read loginIDRIS
+
+ssh ${loginIDRIS}@ada "setfacl -R -m u::rwx,u:rpsl500:rwx,u:rgzi028:rwx,u:rces009:rwx,u:rgzi023:rwx,u:rces061:rwx,u:rpsl592:rwx,u:rpsl035:rwx,u:rces131:rwx,u:rlmd979:rwx,u:rdzt893:rwx,u:rpsl003:rwx,u:rgzi003:rwx,u:rpsl944:rwx,u:rpsl035:rwx,u:reee451:rwx,u:rfry451:rwx,u:rfry154:rwx,u:romr006:rwx,u:rgzi028:rwx,u:rgzi002:rwx,u:rpsl946:rwx,u:rces452:rwx,u:rces599:rwx,u:rces011:rwx,u:rlmd007:rwx,u:rces981:rwx,u:rgzi004:rwx,u:rpsl388:rwx,u:rlmd833:rwx,u:rces311:rwx,u:rdzt001:rwx,u:rgzi017:rwx,u:rpsl951:rwx,g::r-x,o::r-x,m::rwx /workgpfs/rech/psl/rpsl035/IGCM/"
+
+
+echo
+echo "Mise a jour des droits sur les repertoires de donnees sur ergon (IDRIS), presse entree"
+read pause
+ssh ${loginIDRIS}@ergon "setfacl -R -m u::rwx,u:rpsl500:rwx,u:rgzi028:rwx,u:rces009:rwx,u:rces061:rwx,u:rgzi023:rwx,u:rpsl592:rwx,u:rpsl035:rwx,u:rces131:rwx,u:rlmd979:rwx,u:rdzt893:rwx,u:rpsl003:rwx,u:rgzi003:rwx,u:rpsl944:rwx,u:rpsl035:rwx,u:reee451:rwx,u:rfry451:rwx,u:rfry154:rwx,u:rgzi028:rwx,u:romr006:rwx,u:rgzi002:rwx,u:rpsl946:rwx,u:rces452:rwx,u:rces599:rwx,u:rces011:rwx,u:rlmd007:rwx,u:rces981:rwx,u:rgzi004:rwx,u:rpsl388:rwx,u:rlmd833:rwx,u:rces311:rwx,u:rdzt001:rwx,u:rgzi017:rwx,u:rpsl951:rwx,g::r-x,o::r-x,m::rwx /linkhome/rech/psl/rpsl035/IGCM/"
+echo
Index: /TOOLS/SYNCHRO_SCRIPTS/synchro_ada_to_igcmg
===================================================================
--- /TOOLS/SYNCHRO_SCRIPTS/synchro_ada_to_igcmg	(revision 4093)
+++ /TOOLS/SYNCHRO_SCRIPTS/synchro_ada_to_igcmg	(revision 4093)
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+echo "Quel est votre login sur ada/ergon "
+echo -n "Votre reponse : "
+read loginIDRIS
+
+cd /ccc/work/cont003/igcmg/igcmg
+
+echo "Verification des droits sur les repertoires IDRIS"
+#echo 'launch :: '
+#echo ssh ${loginIDRIS}@ada.idris.fr "setfacl -R -m u::rwx,u:rpsl500:rwx,u:rces009:rwx,u:rces061:rwx,u:rpsl592:rwx,u:rpsl035:rwx,u:rces131:rwx,u:rlmd979:rwx,u:rdzt893:rwx,u:rpsl003:rwx,u:rgzi003:rwx,u:rpsl944:rwx,u:rpsl035:rwx,u:reee451:rwx,u:rfry451:rwx,u:rfry154:rwx,u:romr006:rwx,u:rgzi002:rwx,u:rpsl946:rwx,u:rces452:rwx,u:rces599:rwx,u:rpsl388:rwx,g::r-x,o::r-x,m::rwx /workgpfs/rech/psl/rpsl035/IGCM/"
+ssh ${loginIDRIS}@ada.idris.fr "setfacl -R -m u::rwx,u:rpsl500:rwx,u:rgzi028:rwx,u:rces009:rwx,u:rgzi023:rwx,u:rces061:rwx,u:rpsl592:rwx,u:rpsl035:rwx,u:rces131:rwx,u:rlmd979:rwx,u:rdzt893:rwx,u:rpsl003:rwx,u:rgzi003:rwx,u:rpsl944:rwx,u:rpsl035:rwx,u:reee451:rwx,u:rfry451:rwx,u:rfry154:rwx,u:romr006:rwx,u:rgzi028:rwx,u:rgzi002:rwx,u:rpsl946:rwx,u:rces452:rwx,u:rces599:rwx,u:rces011:rwx,u:rlmd007:rwx,u:rgzi004:rwx,u:rpsl388:rwx,u:rlmd833:rwx,u:rces311:rwx,u:rdzt001:rwx,u:rces981:rwx,u:rgzi017:rwx,u:rpsl951:rwx,g::r-x,o::r-x,m::rwx /workgpfs/rech/psl/rpsl035/IGCM/"
+
+
+echo -n " Resultat du rsync en dry-run : "
+#rsync -n --omit-dir-times -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" ${loginIDRIS}@ada.idris.fr:/workgpfs/rech/psl/rpsl035/IGCM/ IGCM
+rsync -n --omit-dir-times  -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c aes128-ctr" ${loginIDRIS}@ada.idris.fr:/workgpfs/rech/psl/rpsl035/IGCM/ IGCM
+
+echo "Voulez vous effectuer les actions listees ci dessus oui/non ?"
+echo -n " Votre reponse : "
+read reponse
+
+case ${reponse} in
+
+oui|OUI|o)
+#rsync --omit-dir-times  -vrltgoD --progress --chmod=o+w --chmod=g+w  --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" ${loginIDRIS}@ada.idris.fr:/workgpfs/rech/psl/rpsl035/IGCM/ IGCM
+rsync --omit-dir-times  -vrltgoD --progress --chmod=o+w --chmod=g+w  --delete -e "ssh -ax -o ClearAllForwardings=yes -c aes128-ctr" ${loginIDRIS}@ada.idris.fr:/workgpfs/rech/psl/rpsl035/IGCM/ IGCM
+;;
+non|NON|n)
+echo "RIEN A FAIRE !"
+;;
+*)
+echo "Reponse non reconnue"
+;;
+esac
+
+echo "Verification des droits sur les repertoires TGCC"
+ccc_shspace_chmod userread /ccc/work/cont003/igcmg/igcmg/IGCM
+is_problem=` ccc_shspace_modck IGCM |grep ccc_shspace_chmod |wc -l`
+if [ "x${is_problem}" != "x0" ] 
+then
+  echo "Il y a un probleme de droit sur un repertoire qui ne vous appartient pas"
+  echo "vous pouvez utiliser la commande ccc_shspace_modck IGCM pour savoir qui doit mettre a jour les droits"
+fi 
Index: /TOOLS/SYNCHRO_SCRIPTS/synchro_ada_to_igcmg.bc
===================================================================
--- /TOOLS/SYNCHRO_SCRIPTS/synchro_ada_to_igcmg.bc	(revision 4093)
+++ /TOOLS/SYNCHRO_SCRIPTS/synchro_ada_to_igcmg.bc	(revision 4093)
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+echo "Quel est votre login sur ada/ergon "
+echo -n "Votre reponse : "
+read loginIDRIS
+
+cd /ccc/work/cont003/igcmg/igcmg
+
+echo "Verification des droits sur les repertoires IDRIS"
+#echo 'launch :: '
+#echo ssh ${loginIDRIS}@ada.idris.fr "setfacl -R -m u::rwx,u:rpsl500:rwx,u:rces009:rwx,u:rces061:rwx,u:rpsl592:rwx,u:rpsl035:rwx,u:rces131:rwx,u:rlmd979:rwx,u:rdzt893:rwx,u:rpsl003:rwx,u:rgzi003:rwx,u:rpsl944:rwx,u:rpsl035:rwx,u:reee451:rwx,u:rfry451:rwx,u:rfry154:rwx,u:romr006:rwx,u:rgzi002:rwx,u:rpsl946:rwx,u:rces452:rwx,u:rces599:rwx,u:rpsl388:rwx,g::r-x,o::r-x,m::rwx /workgpfs/rech/psl/rpsl035/IGCM/"
+ssh ${loginIDRIS}@ada.idris.fr "setfacl -R -m u::rwx,u:rpsl500:rwx,u:rces009:rwx,u:rgzi023:rwx,u:rces061:rwx,u:rpsl592:rwx,u:rpsl035:rwx,u:rces131:rwx,u:rlmd979:rwx,u:rdzt893:rwx,u:rpsl003:rwx,u:rgzi003:rwx,u:rpsl944:rwx,u:rpsl035:rwx,u:reee451:rwx,u:rfry451:rwx,u:rfry154:rwx,u:romr006:rwx,u:rgzi002:rwx,u:rpsl946:rwx,u:rces452:rwx,u:rces599:rwx,u:rces011:rwx,u:rlmd007:rwx,u:rgzi004:rwx,u:rpsl388:rwx,u:rlmd833:rwx,u:rces311:rwx,u:rdzt001:rwx,u:rgzi017:rwx,u:rpsl951:rwx,g::r-x,o::r-x,m::rwx /workgpfs/rech/psl/rpsl035/IGCM/"
+
+
+echo -n " Resultat du rsync en dry-run : "
+rsync -n --omit-dir-times -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" ${loginIDRIS}@ada.idris.fr:/workgpfs/rech/psl/rpsl035/IGCM/ IGCM
+
+echo "Voulez vous effectuer les actions listees ci dessus oui/non ?"
+echo -n " Votre reponse : "
+read reponse
+
+case ${reponse} in
+
+oui|OUI|o)
+rsync --omit-dir-times  -vrltgoD --progress --chmod=o+w --chmod=g+w  --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" ${loginIDRIS}@ada.idris.fr:/workgpfs/rech/psl/rpsl035/IGCM/ IGCM
+;;
+non|NON|n)
+echo "RIEN A FAIRE !"
+;;
+*)
+echo "Reponse non reconnue"
+;;
+esac
+
+echo "Verification des droits sur les repertoires TGCC"
+ccc_shspace_chmod userread /ccc/work/cont003/igcmg/igcmg/IGCM
+is_problem=` ccc_shspace_modck IGCM |grep ccc_shspace_chmod |wc -l`
+if [ "x${is_problem}" != "x0" ] 
+then
+  echo "Il y a un probleme de droit sur un repertoire qui ne vous appartient pas"
+  echo "vous pouvez utiliser la commande ccc_shspace_modck IGCM pour savoir qui doit mettre a jour les droits"
+fi 
Index: /TOOLS/SYNCHRO_SCRIPTS/synchro_ada_to_igcmg_test_ccfr
===================================================================
--- /TOOLS/SYNCHRO_SCRIPTS/synchro_ada_to_igcmg_test_ccfr	(revision 4093)
+++ /TOOLS/SYNCHRO_SCRIPTS/synchro_ada_to_igcmg_test_ccfr	(revision 4093)
@@ -0,0 +1,38 @@
+#!/bin/bash
+module load ccfr
+echo "Quel est votre login sur ada/ergon "
+echo -n "Votre reponse : "
+read loginIDRIS
+
+cd /ccc/work/cont003/igcmg/igcmg
+
+
+
+echo -n " Resultat du rsync en dry-run : "
+rsync -n --human-readable --omit-dir-times -vrltgoD --progress --delete -e "/usr/bin/gsissh -o PreferredAuthentications=gssapi-with-mic" ${loginIDRIS}@ada.idris.fr:/workgpfs/rech/psl/rpsl035/IGCM/ IGCM
+
+echo "Voulez vous effectuer les actions listees ci dessus oui/non ?"
+echo -n " Votre reponse : "
+read reponse
+
+case ${reponse} in
+
+oui|OUI|o)
+rsync --omit-dir-times  -vrltgoD --progress --chmod=o+w --chmod=g+w  --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" ${loginIDRIS}@ada.idris.fr:/workgpfs/rech/psl/rpsl035/IGCM/ IGCM
+;;
+non|NON|n)
+echo "RIEN A FAIRE !"
+;;
+*)
+echo "Reponse non reconnue"
+;;
+esac
+
+echo "Verification des droits sur les repertoires TGCC"
+ccc_shspace_chmod userread /ccc/work/cont003/igcmg/igcmg/IGCM
+is_problem=` ccc_shspace_modck IGCM |grep ccc_shspace_chmod |wc -l`
+if [ "x${is_problem}" != "x0" ] 
+then
+  echo "Il y a un probleme de droit sur un repertoire qui ne vous appartient pas"
+  echo "vous pouvez utiliser la commande ccc_shspace_modck IGCM pour savoir qui doit mettre a jour les droits"
+fi 
Index: /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_ada
===================================================================
--- /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_ada	(revision 4093)
+++ /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_ada	(revision 4093)
@@ -0,0 +1,62 @@
+#!/bin/bash
+
+echo "Quel est votre login sur ada "
+echo -n "Votre reponse : "
+read loginIDRIS
+
+cd /ccc/work/cont003/igcmg/igcmg
+
+echo "Mise a jour des droits sur les repertoires de donnees (TGCC) "
+ccc_shspace_chmod userread /ccc/work/cont003/igcmg/igcmg/IGCM
+is_problem=` ccc_shspace_modck IGCM |grep ccc_shspace_chmod |wc -l`
+if [ "x${is_problem}" != "x0" ] 
+then
+  echo "Il y a un probleme de droit sur un repertoire qui ne vous appartient pas"
+  echo "vous pouvez utiliser la commande ccc_shspace_modck IGCM pour savoir qui doit mettre a jour les droits"
+  echo -n "voulez-vous tout de meme continuer la synchronisation [oui/non]"
+  read reponse
+  case ${reponse} in 
+  non|NON|N|n)
+  exit 
+  ;; 
+esac
+fi 
+
+echo " Resultat du rsync en dry-run : "
+echo ""
+#15/11/2016 SD: Modification de -c blowfish en -c aes128-ctr
+#rsync -n --omit-dir-times -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" IGCM ${loginIDRIS}@ada.idris.fr:/workgpfs/rech/psl/rpsl035/
+
+
+rsync -n --omit-dir-times -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c aes128-ctr" --exclude='IGCM/CMIP6/*' IGCM ${loginIDRIS}@ada.idris.fr:/workgpfs/rech/psl/rpsl035 
+
+
+
+echo "Voulez vous effectuer les actions listees ci dessus oui/non ?"
+echo -n " Votre reponse : "
+read reponse
+
+case ${reponse} in
+
+oui|OUI|o)
+#rsync --omit-dir-times -vrltgoD --progress  --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" IGCM ${loginIDRIS}@ada.idris.fr:/workgpfs/rech/psl/rpsl035/
+rsync --omit-dir-times -vrltgoD --progress  --delete -e "ssh -ax -o ClearAllForwardings=yes -c aes128-ctr" --exclude='IGCM/CMIP6/*' IGCM ${loginIDRIS}@ada.idris.fr:/workgpfs/rech/psl/rpsl035/
+
+
+;;
+non|NON|n)
+echo "RIEN A FAIRE !"
+;;
+*)
+echo "Reponse non reconnue"
+;;
+esac
+
+
+echo "Mise a jour des droits sur les repertoires de donnees (IDRIS), presse entree"
+read pause
+
+#echo 'launch :: '
+#echo ssh ${loginIDRIS}@ada.idris.fr "setfacl -R -m u::rwx,u:rpsl500:rwx,u:rces009:rwx,u:rces061:rwx,u:rpsl592:rwx,u:rpsl035:rwx,u:rces131:rwx,u:rlmd979:rwx,u:rdzt893:rwx,u:rpsl003:rwx,u:rgzi003:rwx,u:rpsl944:rwx,u:rpsl035:rwx,u:reee451:rwx,u:rfry451:rwx,u:rfry154:rwx,u:romr006:rwx,u:rgzi002:rwx,u:rpsl946:rwx,u:rces452:rwx,u:rces599:rwx,u:rpsl388:rwx,g::r-x,o::r-x,m::rwx /workgpfs/rech/psl/rpsl035/IGCM/"
+ssh ${loginIDRIS}@ada.idris.fr "setfacl -R -m u::rwx,u:rpsl500:rwx,u:rgzi028:rwx,u:rces009:rwx,u:rgzi023:rwx,u:rces061:rwx,u:rpsl592:rwx,u:rpsl035:rwx,u:rces131:rwx,u:rlmd979:rwx,u:rdzt893:rwx,u:rpsl003:rwx,u:rgzi003:rwx,u:rpsl944:rwx,u:rpsl035:rwx,u:reee451:rwx,u:rfry451:rwx,u:rfry154:rwx,u:romr006:rwx,u:rgzi028:rwx,u:rgzi002:rwx,u:rpsl946:rwx,u:rces452:rwx,u:rces599:rwx,u:rces011:rwx,u:rlmd007:rwx,u:rgzi004:rwx,u:rpsl388:rwx,u:rlmd833:rwx,u:rces311:rwx,u:rdzt001:rwx,u:rgzi017:rwx,u:rces981:rwx,u:rpsl951:rwx,g::r-x,o::r-x,m::rwx /workgpfs/rech/psl/rpsl035/IGCM/"
+
Index: /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_ciclad
===================================================================
--- /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_ciclad	(revision 4093)
+++ /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_ciclad	(revision 4093)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+cd /ccc/work/cont003/igcmg/igcmg
+echo "Verification des droits des repertoires TGCC"
+ccc_shspace_chmod userread /ccc/work/cont003/igcmg/igcmg/IGCM
+is_problem=` ccc_shspace_modck IGCM |grep ccc_shspace_chmod |wc -l`
+if [ "x${is_problem}" != "x0" ] 
+then
+  echo "Il y a un probleme de droit sur un repertoire qui ne vous appartient pas"
+  echo "vous pouvez utiliser la commande ccc_shspace_modck IGCM pour savoir qui doit mettre a jour les droits"
+  echo -n "voulez-vous tout de meme continuer la synchronisation [oui/non]"
+  read reponse
+  case ${reponse} in 
+  non|NON|N|n)
+  exit 
+  ;; 
+esac
+fi 
+
+echo " Resultat du rsync en dry-run : "
+echo ""
+rsync -n -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish"  --exclude='IGCM/CMIP6/*'  IGCM igcmg@ciclad.ipsl.jussieu.fr:/prodigfs/ipslfs/igcmg
+
+echo "Voulez vous effectuer les actions listees ci dessus oui/non ?"
+echo -n " Votre reponse : "
+read reponse
+
+case ${reponse} in
+
+oui|OUI|o)
+rsync -vrltgoD --progress --chmod=o-w --chmod=g-w --chmod=u-w --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish"  --exclude='IGCM/CMIP6/*'  IGCM igcmg@ciclad.ipsl.jussieu.fr:/prodigfs/ipslfs/igcmg 
+;;
+non|NON|n)
+echo "RIEN A FAIRE !"
+;;
+*)
+echo "Reponse non reconnue"
+;;
+esac
+
Index: /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_ergon
===================================================================
--- /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_ergon	(revision 4093)
+++ /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_ergon	(revision 4093)
@@ -0,0 +1,54 @@
+#!/bin/bash
+
+echo "Quel est votre login sur ergon "
+echo -n "Votre reponse : "
+read loginIDRIS
+
+cd /ccc/work/cont003/igcmg/igcmg
+
+echo "Verification des droits sur les fichiers cote TGCC"
+ccc_shspace_chmod userread /ccc/work/cont003/igcmg/igcmg/IGCM
+is_problem=` ccc_shspace_modck IGCM |grep ccc_shspace_chmod |wc -l`
+if [ "x${is_problem}" != "x0" ] 
+then
+  echo "Il y a un probleme de droit sur un repertoire qui ne vous appartient pas"
+  echo "vous pouvez utiliser la commande ccc_shspace_modck IGCM pour savoir qui doit mettre a jour les droits"
+  echo -n "voulez-vous tout de meme continuer la synchronisation [oui/non]"
+  read reponse
+  case ${reponse} in 
+  non|NON|N|n)
+  exit 
+  ;; 
+esac
+fi 
+
+echo " Resultat du rsync en dry-run : "
+echo ""
+#
+rsync -n --omit-dir-times -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c aes128-ctr"  --exclude='IGCM/CMIP6/*' IGCM ${loginIDRIS}@ergon.idris.fr:/linkhome/rech/psl/rpsl035/
+
+echo "Voulez vous effectuer les actions listees ci dessus oui/non ?"
+echo -n " Votre reponse : "
+read reponse
+
+case ${reponse} in
+
+oui|OUI|o)
+rsync --omit-dir-times -vrltgoD --progress  --delete -e "ssh -ax -o ClearAllForwardings=yes -c aes128-ctr"  --exclude='IGCM/CMIP6/*'  IGCM ${loginIDRIS}@ergon.idris.fr:/linkhome/rech/psl/rpsl035/
+;;
+non|NON|n)
+echo "RIEN A FAIRE !"
+;;
+*)
+echo "Reponse non reconnue"
+;;
+esac
+
+echo "Mise a jour des droits sur les repertoires de donnees (IDRIS), presse entree"
+read pause
+
+
+#echo 'launch :: '
+#echo ssh ${loginIDRIS}@ada.idris.fr "setfacl -R -m u::rwx,u:rpsl500:rwx,u:rces009:rwx,u:rces061:rwx,u:rpsl592:rwx,u:rpsl035:rwx,u:rces131:rwx,u:rlmd979:rwx,u:rdzt893:rwx,u:rpsl003:rwx,u:rgzi003:rwx,u:rpsl944:rwx,u:rpsl035:rwx,u:reee451:rwx,u:rfry451:rwx,u:rfry154:rwx,u:romr006:rwx,u:rgzi002:rwx,u:rpsl946:rwx,u:rces452:rwx,u:rces599:rwx,u:rpsl388:rwx,u:rlmd833:rwx,u:rces311:rwx,u:rdzt001:rwx,u:rgzi017:rwx,u:rpsl951:rwx,g::r-x,o::r-x,m::rwx /linkhome/rech/psl/rpsl035/IGCM/"
+ssh ${loginIDRIS}@ergon.idris.fr "setfacl -R -m u::rwx,u:rpsl500:rwx,u:rgzi028:rwx,u:rces009:rwx,u:rces061:rwx,u:rgzi023:rwx,u:rpsl592:rwx,u:rpsl035:rwx,u:rces131:rwx,u:rlmd979:rwx,u:rdzt893:rwx,u:rpsl003:rwx,u:rgzi003:rwx,u:rpsl944:rwx,u:rpsl035:rwx,u:reee451:rwx,u:rfry451:rwx,u:rfry154:rwx,u:romr006:rwx,u:rgzi028:rwx,u:rgzi002:rwx,u:rpsl946:rwx,u:rces452:rwx,u:rces599:rwx,u:rces011:rwx,u:rlmd007:rwx,u:rgzi004:rwx,u:rpsl388:rwx,u:rlmd833:rwx,u:rces311:rwx,u:rdzt001:rwx,u:rgzi017:rwx,u:rces981:rwx,u:rpsl951:rwx,g::r-x,o::r-x,m::rwx /linkhome/rech/psl/rpsl035/IGCM/"
+
Index: /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_obelix
===================================================================
--- /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_obelix	(revision 4093)
+++ /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_obelix	(revision 4093)
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+echo "Remarque : pour l'instant cette script est uniquement utilise par login jghattas"
+#echo "Quel est votre login sur obelix ? "
+#echo -n "Votre reponse : "
+#read loginOBELIX
+loginOBELIX=jghattas
+
+cd /ccc/work/cont003/igcmg/igcmg
+
+#echo "Mise a jour des droits sur les repertoires de donnees (TGCC) "
+#ccc_shspace_chmod userread /ccc/work/cont003/igcmg/igcmg/IGCM
+#is_problem=` ccc_shspace_modck IGCM |grep ccc_shspace_chmod |wc -l`
+#if [ "x${is_problem}" != "x0" ] 
+#then
+#  echo "Il y a un probleme de droit sur un repertoire qui ne vous appartient pas"
+#  echo "vous pouvez utiliser la commande ccc_shspace_modck IGCM pour savoir qui doit mettre a jour les droits"
+#  echo -n "voulez-vous tout de meme continuer la synchronisation [oui/non]"
+#  read reponse
+#  case ${reponse} in 
+#  non|NON|N|n)
+#  exit 
+#  ;; 
+#esac
+#fi 
+
+echo " Resultat du rsync en dry-run : "
+echo ""
+#rsync -n --omit-dir-times -vrltgoD --chmod=u-w --chmod=o-w --chmod=g-w --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" IGCM ${loginOBELIX}@idefix1.extra.cea.fr:/home/orchideeshare/igcmg/
+rsync -n --omit-dir-times -vrltgoD --chmod=u-w --chmod=o-w --chmod=g-w --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" --exclude='IGCM/CMIP6/*'  IGCM ${loginOBELIX}@ssh1.lsce.ipsl.fr:/home/orchideeshare/igcmg/
+
+echo "Voulez vous effectuer les actions listees ci dessus oui/non ?"
+echo -n " Votre reponse : "
+read reponse
+
+case ${reponse} in
+
+oui|OUI|o)
+#rsync --omit-dir-times -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" IGCM ${loginOBELIX}@idefix1.extra.cea.fr:/home/orchideeshare/igcmg/
+rsync --omit-dir-times -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" --exclude='IGCM/CMIP6/*' IGCM ${loginOBELIX}@ssh1.lsce.ipsl.fr:/home/orchideeshare/igcmg/
+;;
+non|NON|n)
+echo "RIEN A FAIRE !"
+;;
+*)
+echo "Reponse non reconnue"
+;;
+esac
Index: /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_obelix_SRF
===================================================================
--- /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_obelix_SRF	(revision 4093)
+++ /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_obelix_SRF	(revision 4093)
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+echo "Remarque : pour l'instant cette script est uniquement utilise par login jghattas"
+#echo "Quel est votre login sur obelix ? "
+#echo -n "Votre reponse : "
+#read loginOBELIX
+loginOBELIX=jghattas
+
+cd /ccc/work/cont003/igcmg/igcmg
+
+#echo "Mise a jour des droits sur les repertoires de donnees (TGCC) "
+#ccc_shspace_chmod userread /ccc/work/cont003/igcmg/igcmg/IGCM
+#is_problem=` ccc_shspace_modck IGCM |grep ccc_shspace_chmod |wc -l`
+#if [ "x${is_problem}" != "x0" ] 
+#then
+#  echo "Il y a un probleme de droit sur un repertoire qui ne vous appartient pas"
+#  echo "vous pouvez utiliser la commande ccc_shspace_modck IGCM pour savoir qui doit mettre a jour les droits"
+#  echo -n "voulez-vous tout de meme continuer la synchronisation [oui/non]"
+#  read reponse
+#  case ${reponse} in 
+#  non|NON|N|n)
+#  exit 
+#  ;; 
+#esac
+#fi 
+
+echo " Resultat du rsync en dry-run : "
+echo ""
+#rsync -n --omit-dir-times -vrltgoD --chmod=u-w --chmod=o-w --chmod=g-w --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" IGCM ${loginOBELIX}@idefix1.extra.cea.fr:/home/orchideeshare/igcmg/
+rsync -n --omit-dir-times -vrltgoD --chmod=u-w --chmod=o-w --chmod=g-w --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" IGCM/SRF ${loginOBELIX}@ssh1.lsce.ipsl.fr:/home/orchideeshare/igcmg/IGCM/
+
+echo "Voulez vous effectuer les actions listees ci dessus oui/non ?"
+echo -n " Votre reponse : "
+read reponse
+
+case ${reponse} in
+
+oui|OUI|o)
+#rsync --omit-dir-times -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" IGCM ${loginOBELIX}@idefix1.extra.cea.fr:/home/orchideeshare/igcmg/
+rsync --omit-dir-times -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" IGCM/SRF ${loginOBELIX}@ssh1.lsce.ipsl.fr:/home/orchideeshare/igcmg/IGCM/
+;;
+non|NON|n)
+echo "RIEN A FAIRE !"
+;;
+*)
+echo "Reponse non reconnue"
+;;
+esac
Index: /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_occigen
===================================================================
--- /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_occigen	(revision 4093)
+++ /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_occigen	(revision 4093)
@@ -0,0 +1,44 @@
+CINES_LOGIN_DEFAULT=foujols
+CINES_LOGIN=${1:-${CINES_LOGIN_DEFAULT}}
+echo CINES_LOGIN : ${CINES_LOGIN}
+
+cd /ccc/work/cont003/igcmg/igcmg
+echo "Verification des droits des repertoires TGCC"
+ccc_shspace_chmod userread /ccc/work/cont003/igcmg/igcmg/IGCM
+is_problem=` ccc_shspace_modck IGCM |grep ccc_shspace_chmod |wc -l`
+if [ "x${is_problem}" != "x0" ] 
+then
+  echo "Il y a un probleme de droit sur un repertoire qui ne vous appartient pas"
+  echo "vous pouvez utiliser la commande ccc_shspace_modck IGCM pour savoir qui doit mettre a jour les droits"
+  echo -n "voulez-vous tout de meme continuer la synchronisation [oui/non]"
+  read reponse
+  case ${reponse} in 
+  non|NON|N|n)
+  exit 
+  ;; 
+esac
+fi 
+
+cd /ccc/work/cont003/igcmg/igcmg
+echo " Resultat du rsync en dry-run : "
+echo ""
+echo rsync -n -va --progress --delete  IGCM ${CINES_LOGIN}@occigen.cines.fr:/store/CT1/ips2078/SHARED
+rsync -n -vrltgoD --progress --delete  IGCM ${CINES_LOGIN}@occigen.cines.fr:/store/CT1/ips2078/SHARED
+
+echo "Voulez vous effectuer les actions listees ci dessus oui/non ?"
+echo -n " Votre reponse : "
+read reponse
+
+case ${reponse} in
+
+oui|OUI|o)
+rsync -vrltgoD --progress --chmod=u-w --chmod=g-w --chmod=o-w --delete IGCM ${CINES_LOGIN}@occigen.cines.fr:/store/CT1/ips2078/SHARED
+;;
+non|NON|n)
+echo "RIEN A FAIRE !"
+;;
+*)
+echo "Reponse non reconnue"
+;;
+esac
+
Index: /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_scratch_occigen
===================================================================
--- /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_scratch_occigen	(revision 4093)
+++ /TOOLS/SYNCHRO_SCRIPTS/synchro_igcmg_to_scratch_occigen	(revision 4093)
@@ -0,0 +1,45 @@
+CINES_LOGIN_DEFAULT=foujols
+CINES_LOGIN=${1:-${CINES_LOGIN_DEFAULT}}
+echo CINES_LOGIN : ${CINES_LOGIN}
+
+cd /ccc/work/cont003/igcmg/igcmg
+echo "Verification des droits des repertoires TGCC"
+ccc_shspace_chmod userread /ccc/work/cont003/igcmg/igcmg/IGCM
+is_problem=` ccc_shspace_modck IGCM |grep ccc_shspace_chmod |wc -l`
+if [ "x${is_problem}" != "x0" ] 
+then
+  echo "Il y a un probleme de droit sur un repertoire qui ne vous appartient pas"
+  echo "vous pouvez utiliser la commande ccc_shspace_modck IGCM pour savoir qui doit mettre a jour les droits"
+  echo -n "voulez-vous tout de meme continuer la synchronisation [oui/non]"
+  read reponse
+  case ${reponse} in 
+  non|NON|N|n)
+  exit 
+  ;; 
+esac
+fi 
+
+
+cd /ccc/work/cont003/igcmg/igcmg
+echo " Resultat du rsync en dry-run : "
+echo ""
+echo rsync -n -vrltgoD --progress --delete  IGCM ${CINES_LOGIN}@occigen.cines.fr:/scratch/cnt0024/ips2078/SHARED
+rsync -n -vrltgoD --progress --delete  IGCM ${CINES_LOGIN}@occigen.cines.fr:/scratch/cnt0024/ips2078/SHARED
+
+echo "Voulez vous effectuer les actions listees ci dessus oui/non ?"
+echo -n " Votre reponse : "
+read reponse
+
+case ${reponse} in
+
+oui|OUI|o)
+rsync -vrltgoD --progress --chmod=u-w --chmod=g-w --chmod=o-w  --delete IGCM ${CINES_LOGIN}@occigen.cines.fr:/scratch/cnt0024/ips2078/SHARED
+;;
+non|NON|n)
+echo "RIEN A FAIRE !"
+;;
+*)
+echo "Reponse non reconnue"
+;;
+esac
+
Index: /TOOLS/SYNCHRO_SCRIPTS/synchro_refciclad_to_igcmg
===================================================================
--- /TOOLS/SYNCHRO_SCRIPTS/synchro_refciclad_to_igcmg	(revision 4093)
+++ /TOOLS/SYNCHRO_SCRIPTS/synchro_refciclad_to_igcmg	(revision 4093)
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+cd /ccc/work/cont003/igcmg/igcmg
+
+echo " Resultat du rsync en dry-run : "
+echo ""
+rsync -n -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" jservon@ciclad.ipsl.jussieu.fr:/data/jservon/Evaluation/ReferenceDatasets IGCM
+#rsync -n -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" jservon@ciclad.ipsl.jussieu.fr:/data/jservon/Evaluation/ReferenceDatasets/atm ReferenceDatasets
+#rsync -n -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" igcmg@ciclad.ipsl.jussieu.fr:/data/jservon/Evaluation/ReferenceDatasets/oce ReferenceDatasets
+#rsync -n -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" igcmg@ciclad.ipsl.jussieu.fr:/data/jservon/Evaluation/ReferenceDatasets/ice ReferenceDatasets
+#rsync -n -vrltgoD --progress --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" igcmg@ciclad.ipsl.jussieu.fr:/data/jservon/Evaluation/ReferenceDatasets/PCMDI-MP ReferenceDatasets
+
+echo "Voulez vous effectuer les actions listees ci dessus oui/non ?"
+echo -n " Votre reponse : "
+read reponse
+
+case ${reponse} in
+
+oui|OUI|o)
+rsync -vrltgoD --progress --chmod=o-w --chmod=g-w --chmod=u-w --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" jservon@ciclad.ipsl.jussieu.fr:/data/jservon/Evaluation/ReferenceDatasets IGCM
+#rsync -vrltgoD --progress --chmod=o-w --chmod=g-w --chmod=u-w --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" jservon@ciclad.ipsl.jussieu.fr:/data/jservon/Evaluation/ReferenceDatasets/atm ReferenceDatasets
+#rsync -vrltgoD --progress --chmod=o-w --chmod=g-w --chmod=u-w --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" jservon@ciclad.ipsl.jussieu.fr:/data/jservon/Evaluation/ReferenceDatasets/oce ReferenceDatasets
+#rsync -vrltgoD --progress --chmod=o-w --chmod=g-w --chmod=u-w --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" jservon@ciclad.ipsl.jussieu.fr:/data/jservon/Evaluation/ReferenceDatasets/ice ReferenceDatasets
+#rsync -vrltgoD --progress --chmod=o-w --chmod=g-w --chmod=u-w --delete -e "ssh -ax -o ClearAllForwardings=yes -c blowfish" jservon@ciclad.ipsl.jussieu.fr:/data/jservon/Evaluation/ReferenceDatasets/PCMDI-MP ReferenceDatasets
+
+
+;;
+non|NON|n)
+echo "RIEN A FAIRE !"
+;;
+*)
+echo "Reponse non reconnue"
+;;
+esac
+
+echo "Verification des droits des repertoires TGCC"
+ccc_shspace_chmod userread /ccc/work/cont003/igcmg/igcmg/IGCM/ReferenceDatasets
+is_problem=` ccc_shspace_modck ReferenceDatasets |grep ccc_shspace_chmod |wc -l`
+if [ "x${is_problem}" != "x0" ] 
+then
+  echo "Il y a un probleme de droit sur un repertoire qui ne vous appartient pas"
+  echo "vous pouvez utiliser la commande ccc_shspace_modck IGCM pour savoir qui doit mettre a jour les droits"
+fi 
